forums.xandros.com Forum Index forums.xandros.com
Xandros User Forums
 
 FAQFAQ   SearchSearch   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Set's List of popular FPS games that works in Linux

 
Post new topic   Reply to topic    forums.xandros.com Forum Index -> Games
View previous topic :: View next topic  
Author Message
Set
Xandrosianding
Xandrosianding


Joined: 23 Feb 2004
Posts: 858

PostPosted: Thu Jun 09, 2005 8:08 pm    Post subject: Set's List of popular FPS games that works in Linux Reply with quote

I'm a huge fan of the FPS genre, so instead of having to browse trough many general gaming topics, other FPS fans on this forum can just go into here.

Besides, I love making lists.

* = Retail game. Non free.

NATIVE FPS:

- * Return To Castle Wolfenstein - ID's second Wolfenstein game and the sequel to the game that started it all. A great FAQ on how to get this game working in Linux can be found here http://zerowing.idsoftware.com/linux/wolf/

- Enemy Territory - This is a freeware game based on the same concept as RTCW. I think this actually was a later Multiplayer add-on. You can download it here http://enemy-territory.4players.de:1041/modules.php?name=files

- * DooM 3 - ID's newest FPS. The third chapter in the DooM saga. A strong cult following this game trilogy. Very nice gfx and high BOO factor. One good FAQ on how to get this game running in Linux is to be found at this location http://zerowing.idsoftware.com/linux/doom/

- Nexuiz - Something as unique as a GPL based FPS Deathmatch game. Their homepage can be found at http://www.nexuiz.com/ also check out the topic in this forum http://forums.xandros.com/viewtopic.php?t=16011

- Americas Army - The American Army made a game to attract gamers to the Army. We non-us people got a nice multiplatform team based multiplayer shooter. Go get it here http://americasarmy.filefront.com/

- * Unreal Tournament - a multiplayer focused fps running on the popular Unreal engine. Go grab a demo or Linux installer at http://unreal.epicgames.com/TournamentVersions.htm

- * Postal 2 - A VERY controversial game. Letting you either go get your paycheck and cash it in at the bank to buy milk... Or rob the bank, steal the milk and murder your boss.... Homesite http://www.gopostal.com/

I'll keep this list updated as I run into more games. Feel free to tell me what great games I've missed Smile

- Set
_________________
Set has left this forum.
Back to top
View user's profile Send private message
NunyaBidness
Xplorer


Joined: 10 Jun 2005
Posts: 121
Location: Memphis, Tennessee, United States of America

PostPosted: Sun Jul 10, 2005 1:01 am    Post subject: Commandos 2 Men of Courage Reply with quote

Just got Commandos 2 MoC to insall with Cedega. Run SWEEEEET!
Nunya
Back to top
View user's profile Send private message Send e-mail Visit poster's website
sgxuser
Xplorer


Joined: 26 Jul 2005
Posts: 9
Location: Nipomo

PostPosted: Wed Jul 27, 2005 5:45 pm    Post subject: Reply with quote

First time Xandros user here. I've been playing Unreal Tournament on Windows for four years and now I'm looking to set it up on Xandros.
Quote:
- * Unreal Tournament - a multiplayer focused fps running on the popular Unreal engine. Go grab a demo or Linux installer at http://unreal.epicgames.com/TournamentVersions.htm


The download link on that site is broken, so if any of you could tell me another place to download the full version it would be appreciated.
Back to top
View user's profile Send private message AIM Address MSN Messenger
SolarWind
Xplorer


Joined: 24 Aug 2004
Posts: 16

PostPosted: Thu Jul 28, 2005 12:44 pm    Post subject: Reply with quote

Sure, you can download the linux installer here:

http://www.3dgamers.com/games/unrealtourn/downloads/
Back to top
View user's profile Send private message MSN Messenger
sgxuser
Xplorer


Joined: 26 Jul 2005
Posts: 9
Location: Nipomo

PostPosted: Thu Jul 28, 2005 10:30 pm    Post subject: Reply with quote

Thanks, man !
Back to top
View user's profile Send private message AIM Address MSN Messenger
Newguy
Xplorer


Joined: 30 Apr 2005
Posts: 63

PostPosted: Fri Jul 29, 2005 2:57 pm    Post subject: Reply with quote

When trying to d/l Enemy Territory i get the following below (this is just a little of whats on the screen)

#!/bin/sh
# This script was generated using Makeself 2.1.4

CRCsum="764704454"
MD5="b8b59bc515d86cc845fb52f5d2c14423"
TMPROOT=${TMPDIR:=/tmp}

label="Enemy Territory 2.60 Full Install"
script="./setup.sh"
scriptargs=""
targetdir="build-install-2.60"
filesizes="270956492"
keep=n

print_cmd_arg=""
if type printf > /dev/null; then
print_cmd="printf"
elif test -x /usr/ucb/echo; then
print_cmd="/usr/ucb/echo"
else
print_cmd="echo"
fi

MS_Printf()
{
$print_cmd $print_cmd_arg "$1"
}

MS_Progress()
{
while read a; do
MS_Printf .
done
}

MS_dd()
{
blocks=`expr $3 / 1024`
bytes=`expr $3 % 1024`
dd if="$1" ibs=$2 skip=1 obs=1024 conv=sync 2> /dev/null | \
{ test $blocks -gt 0 && dd ibs=1024 obs=1024 count=$blocks ; \
test $bytes -gt 0 && dd ibs=1 obs=1024 count=$bytes ; } 2> /dev/null
}

MS_Help()
{
cat << EOH >&2
Makeself version 2.1.4
1) Getting help or info about $0 :
$0 --help Print this message
$0 --info Print embedded info : title, default target directory, embedded script ...
$0 --lsm Print embedded lsm entry (or no LSM)
$0 --list Print the list of files in the archive
$0 --check Checks integrity of the archive

2) Running $0 :
$0 [options] [--] [additional arguments to embedded script]
with following options (in that order)
--confirm Ask before running embedded script
--noexec Do not run embedded script
--keep Do not erase target directory after running
the embedded script
--nox11 Do not spawn an xterm
--nochown Do not give the extracted files to the current user
--target NewDirectory Extract in NewDirectory
--tar arg1 [arg2 ...] Access the contents of the archive through the tar command
-- Following arguments will be passed to the embedded script
EOH
}

MS_Check()
{
OLD_PATH=$PATH
PATH=${GUESS_MD5_PATH:-"$OLD_PATH:/bin:/usr/bin:/sbin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin"}
MD5_PATH=`exec 2>&-; which md5sum || type md5sum`
MD5_PATH=${MD5_PATH:-`exec 2>&-; which md5 || type md5`}
PATH=$OLD_PATH
MS_Printf "Verifying archive integrity..."
offset=`head -n 373 "$1" | wc -c | tr -d " "`
verb=$2
i=1
for s in $filesizes
do
crc=`echo $CRCsum | cut -d" " -f$i`
if test -x "$MD5_PATH"; then
md5=`echo $MD5 | cut -d" " -f$i`
if test $md5 = "00000000000000000000000000000000"; then
test x$verb = xy && echo " $1 does not contain an embedded MD5 checksum." >&2
else
md5sum=`MS_dd "$1" $offset $s | "$MD5_PATH" | cut -b-32`;
if test "$md5sum" != "$md5"; then
echo "Error in MD5 checksums: $md5sum is different from $md5" >&2
exit 2
else
test x$verb = xy && MS_Printf " MD5 checksums are OK." >&2
fi
crc="0000000000"; verb=n
fi
fi
if test $crc = "0000000000"; then
test x$verb = xy && echo " $1 does not contain a CRC checksum." >&2
else
sum1=`MS_dd "$1" $offset $s | CMD_ENV=xpg4 cksum | awk '{print $1}'`
if test "$sum1" = "$crc"; then
test x$verb = xy && MS_Printf " CRC checksums are OK." >&2
else
echo "Error in checksums: $sum1 is different from $crc"
exit 2;
fi
fi
i=`expr $i + 1`
offset=`expr $offset + $s`
done
echo " All good."
}

UnTAR()
{
tar $1vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
}

finish=true
xterm_loop=
nox11=n
copy=none
ownership=y
verbose=n

initargs="$@"

while true
do
case "$1" in
-h | --help)
MS_Help
exit 0
;;
--info)
echo Identification: "$label"
echo Target directory: "$targetdir"
echo Uncompressed size: 278472 KB
echo Compression: gzip
echo Date of packaging: Wed Mar 16 16:58:08 CST 2005
echo Built with Makeself version 2.1.4 on linux-gnu
echo Build command was: "makeself/makeself.sh \\
\"build-install-2.60\" \\
\"et-linux-2.60.x86.run\" \\
\"Enemy Territory 2.60 Full Install\" \\
\"./setup.sh\""
if test x$script != x; then
echo Script run after extraction:
echo " " $script $scriptargs
fi
if test x"" = xcopy; then
echo "Archive will copy itself to a temporary location"
fi
if test x"n" = xy; then
echo "directory $targetdir is permanent"
else
echo "$targetdir will be removed after extraction"
fi
exit 0
;;
Back to top
View user's profile Send private message
Set
Xandrosianding
Xandrosianding


Joined: 23 Feb 2004
Posts: 858

PostPosted: Mon Aug 01, 2005 12:17 pm    Post subject: Reply with quote

I might be misunderstanding.

You need to right click and download it to your harddrive and make it executable (right click, properties, permissions, execute), then double click on it.

- Set
_________________
Set has left this forum.
Back to top
View user's profile Send private message
Newguy
Xplorer


Joined: 30 Apr 2005
Posts: 63

PostPosted: Mon Aug 01, 2005 2:26 pm    Post subject: Reply with quote

Have a look at what im getting.

http://photobucket.com/albums/b41/Newguy880/?action=view&current=snapshot2.png

Edit: i found another location to get it


Last edited by Newguy on Mon Aug 01, 2005 4:18 pm; edited 2 times in total
Back to top
View user's profile Send private message
woodsmoke
Xanalandingdonger


Joined: 30 Jul 2005
Posts: 4970
Location: United States

PostPosted: Mon Aug 01, 2005 3:34 pm    Post subject: solar wind: linux installer Reply with quote

Solar Wind,
Hi,
which is the installer?
there are two sets of links; the other for demo.
What lookl like the installer section has four links, two of which say installer one is for retail. If there is a "free" download of the game, I would need the right one, and of course the game.
I donate computers to people, some of which are kids and this game would proabably be one that teenagers would like.
thanks
woodsmoke
Back to top
View user's profile Send private message
SolarWind
Xplorer


Joined: 24 Aug 2004
Posts: 16

PostPosted: Tue Aug 02, 2005 2:00 am    Post subject: Reply with quote

Hi woodsmoke,
Sounds like a good cause, keep up the good work! UT is still very popular online, no doubt the teens will love it. Smile There's no "free" download for the full game (well, at least not legally). You'll need the cd's. I just took a look on ebay and they're literally going for just a few bucks. There are a couple of versions though.. Original, and Game of the Year (goty) edition. Which linux installer you'll download depends on the version you have.
For the original version use: ut-install-436.run
For game of the year version use: ut-install-436-goty.run

Good luck! Smile
Back to top
View user's profile Send private message MSN Messenger
-invalid-
Xplorer


Joined: 16 Feb 2005
Posts: 136
Location: Netherlands, Almere

PostPosted: Thu Aug 04, 2005 6:30 am    Post subject: Reply with quote

fps 3d: http://www.cubeengine.com/


very fast, very playable on slower machines with opengl support.
Back to top
View user's profile Send private message Yahoo Messenger
SledgeDG
Xplorer


Joined: 13 Mar 2006
Posts: 77
Location: New England

PostPosted: Mon Mar 27, 2006 8:49 pm    Post subject: Reply with quote

Here is an alternative link for Americas Army (without opening an account)
http://www.strategyinformer.com/pc/americasarmyspecialforces/full-game/2398.html

@-invalid- Do you have a link to a working package for cube or sauerbraten?
I tried o compile the sources but I didn't get it to work (if anything is different than the standard - ./configure, make, make install routine it is beyond my actual knowledge Wink
-DG
_________________

Registered Linux User #414352
Back to top
View user's profile Send private message AIM Address Yahoo Messenger MSN Messenger
Display posts from previous:   
Post new topic   Reply to topic    forums.xandros.com Forum Index -> Games All times are GMT - 5 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group